WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Warning

[Resolved] Warning

  • Carlos Revilla
    Member

    @carlos-revilla

    Sometimes afer using quick edit in admin iget thse warnings:

    Warning: array_key_exists() expects parameter 2 to be array, boolean given in /home/cambiopo/public_html/wp-content/plugins/wp-postratings/wp-postratings.php on line 1142

    Warning: array_key_exists() expects parameter 2 to be array, boolean given in /home/cambiopo/public_html/wp-content/plugins/wp-postratings/wp-postratings.php on line 1143

    Warning: array_key_exists() expects parameter 2 to be array, boolean given in /home/cambiopo/public_html/wp-content/plugins/wp-postratings/wp-postratings.php on line 1144

    Everything works fine, and changes apply, but warnings are a little annoying.

    Carlos

    http://wordpress.org/plugins/wp-postratings/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Lester Chan
    Participant

    @gamerz

    Any way I can reproduce this? I tried Quick Editing an already posted post it works fine. Is it only for new posts?

    Carlos Revilla
    Member

    @carlos-revilla

    I just checked. Now this happen all the times after using Quick Editing with new or old posts. This behavior begun after uodating the plugin.

    Carlos

    Plugin Author Lester Chan
    Participant

    @gamerz

    Weird, I can’t reproduce this on my end. Let’s see if I get more bug report on this. If you can go a videocast on it that would help me.

    Carlos Revilla
    Member

    @carlos-revilla

    I tested w/o the plugin and everything works ok. When I activated the plugin, the problem dissapeared, no more warnings, weird. Problem seems fixed now.

    Regards

    Carlos

    Carlos Revilla
    Member

    @carlos-revilla

    Today again same problem

    Warning: array_key_exists() expects parameter 2 to be array, boolean given in /home/cambiopo/public_html/wp-content/plugins/wp-postratings/wp-postratings.php on line 1142

    Warning: array_key_exists() expects parameter 2 to be array, boolean given in /home/cambiopo/public_html/wp-content/plugins/wp-postratings/wp-postratings.php on line 1143

    Warning: array_key_exists() expects parameter 2 to be array, boolean given in /home/cambiopo/public_html/wp-content/plugins/wp-postratings/wp-postratings.php on line 1144

    It seems that some thing is triggering the warning. The warnings appeared in the title field after using “quick editig”.

    You can take a look at these snapshots from dashboard:

    http://cambiopolitico.com/images/warning01.jpg
    http://cambiopolitico.com/images/warning02.jpg

    So, problem still unresolved (at least for me).

    Regards

    Carlos

    Plugin Author Lester Chan
    Participant

    @gamerz

    I make some changes to 1.76, I hope it will solve your problem

    Carlos Revilla
    Member

    @carlos-revilla

    Everything is ok now with v1.76. Thankyou. Carlos

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Resolved] Warning’ is closed to new replies.